1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46 do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100 fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
157 ;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS=" $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile xawtv.spec"
275 config_headers=" config.h"
276
277 ac_cs_usage="\
278 \`$as_me' instantiates files from templates according to the
279 current configuration.
280
281 Usage: $0 [OPTIONS] [FILE]...
282
283 -h, --help print this help, then exit
284 -V, --version print version number, then exit
285 -q, --quiet do not print progress messages
286 -d, --debug don't remove temporary files
287 --recheck update $as_me by reconfiguring in the same conditions
288 --file=FILE[:TEMPLATE]
289 instantiate the configuration file FILE
290 --header=FILE[:TEMPLATE]
291 instantiate the configuration header FILE
292
293 Configuration files:
294 $config_files
295
296 Configuration headers:
297 $config_headers
298
299 Report bugs to <bug-autoconf@gnu.org>."
300 ac_cs_version="\
301 config.status
302 configured by ./configure, generated by GNU Autoconf 2.59,
303 with options \"\"
304
305 Copyright (C) 2003 Free Software Foundation, Inc.
306 This config.status script is free software; the Free Software Foundation
307 gives unlimited permission to copy, distribute and modify it."
308 srcdir=.
309 INSTALL="/usr/bin/install -c"
310 # If no file are specified by the user, then we need to provide default
311 # value. By we need to know if files were specified by the user.
312 ac_need_defaults=:
313 while test $# != 0
314 do
315 case $1 in
316 --*=*)
317 ac_option=`expr "x$1" : 'x\([^=]*\)='`
318 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319 ac_shift=:
320 ;;
321 -*)
322 ac_option=$1
323 ac_optarg=$2
324 ac_shift=shift
325 ;;
326 *) # This is not an option, so the user has probably given explicit
327 # arguments.
328 ac_option=$1
329 ac_need_defaults=false;;
330 esac
331
332 case $ac_option in
333 # Handling of the options.
334 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335 ac_cs_recheck=: ;;
336 --version | --vers* | -V )
337 echo "$ac_cs_version"; exit 0 ;;
338 --he | --h)
339 # Conflict between --help and --header
340 { { echo "$as_me:$LINENO: error: ambiguous option: $1
341 Try \`$0 --help' for more information." >&5
342 echo "$as_me: error: ambiguous option: $1
343 Try \`$0 --help' for more information." >&2;}
344 { (exit 1); exit 1; }; };;
345 --help | --hel | -h )
346 echo "$ac_cs_usage"; exit 0 ;;
347 --debug | --d* | -d )
348 debug=: ;;
349 --file | --fil | --fi | --f )
350 $ac_shift
351 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352 ac_need_defaults=false;;
353 --header | --heade | --head | --hea )
354 $ac_shift
355 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356 ac_need_defaults=false;;
357 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358 | -silent | --silent | --silen | --sile | --sil | --si | --s)
359 ac_cs_silent=: ;;
360
361 # This is an error.
362 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363 Try \`$0 --help' for more information." >&5
364 echo "$as_me: error: unrecognized option: $1
365 Try \`$0 --help' for more information." >&2;}
366 { (exit 1); exit 1; }; } ;;
367
368 *) ac_config_targets="$ac_config_targets $1" ;;
369
370 esac
371 shift
372 done
373
374 ac_configure_extra_args=
375
376 if $ac_cs_silent; then
377 exec 6>/dev/null
378 ac_configure_extra_args="$ac_configure_extra_args --silent"
379 fi
380
381 if $ac_cs_recheck; then
382 echo "running /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
383 exec /bin/sh ./configure $ac_configure_extra_args --no-create --no-recursion
384 fi
385
386 for ac_config_target in $ac_config_targets
387 do
388 case "$ac_config_target" in
389 # Handling of arguments.
390 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391 "xawtv.spec" ) CONFIG_FILES="$CONFIG_FILES xawtv.spec" ;;
392 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
393 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
394 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
395 { (exit 1); exit 1; }; };;
396 esac
397 done
398
399 # If the user did not use the arguments to specify the items to instantiate,
400 # then the envvar interface is used. Set only those that are not.
401 # We use the long form for the default assignment because of an extremely
402 # bizarre bug on SunOS 4.1.3.
403 if $ac_need_defaults; then
404 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
405 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
406 fi
407
408 # Have a temporary directory for convenience. Make it in the build tree
409 # simply because there is no reason to put it here, and in addition,
410 # creating and moving files from /tmp can sometimes cause problems.
411 # Create a temporary directory, and hook for its removal unless debugging.
412 $debug ||
413 {
414 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
415 trap '{ (exit 1); exit 1; }' 1 2 13 15
416 }
417
418 # Create a (secure) tmp directory for tmp files.
419
420 {
421 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
422 test -n "$tmp" && test -d "$tmp"
423 } ||
424 {
425 tmp=./confstat$$-$RANDOM
426 (umask 077 && mkdir $tmp)
427 } ||
428 {
429 echo "$me: cannot create a temporary directory in ." >&2
430 { (exit 1); exit 1; }
431 }
432
433
434 #
435 # CONFIG_FILES section.
436 #
437
438 # No need to generate the scripts if there are no CONFIG_FILES.
439 # This happens for instance when ./config.status config.h
440 if test -n "$CONFIG_FILES"; then
441 # Protect against being on the right side of a sed subst in config.status.
442 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
443 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
444 s,@SHELL@,/bin/sh,;t t
445 s,@PATH_SEPARATOR@,:,;t t
446 s,@PACKAGE_NAME@,,;t t
447 s,@PACKAGE_TARNAME@,,;t t
448 s,@PACKAGE_VERSION@,,;t t
449 s,@PACKAGE_STRING@,,;t t
450 s,@PACKAGE_BUGREPORT@,,;t t
451 s,@exec_prefix@,${prefix},;t t
452 s,@prefix@,/usr/local,;t t
453 s,@program_transform_name@,s,x,x,,;t t
454 s,@bindir@,${exec_prefix}/bin,;t t
455 s,@sbindir@,${exec_prefix}/sbin,;t t
456 s,@libexecdir@,${exec_prefix}/libexec,;t t
457 s,@datadir@,${prefix}/share,;t t
458 s,@sysconfdir@,${prefix}/etc,;t t
459 s,@sharedstatedir@,${prefix}/com,;t t
460 s,@localstatedir@,${prefix}/var,;t t
461 s,@libdir@,${exec_prefix}/lib,;t t
462 s,@includedir@,${prefix}/include,;t t
463 s,@oldincludedir@,/usr/include,;t t
464 s,@infodir@,${prefix}/info,;t t
465 s,@mandir@,${prefix}/man,;t t
466 s,@build_alias@,,;t t
467 s,@host_alias@,,;t t
468 s,@target_alias@,,;t t
469 s,@DEFS@,-DHAVE_CONFIG_H,;t t
470 s,@ECHO_C@,,;t t
471 s,@ECHO_N@,-n,;t t
472 s,@ECHO_T@,,;t t
473 s,@LIBS@,-lXv -lXrandr -lXrender -lXinerama -lXxf86vm -lXxf86dga ,;t t
474 s,@CC@,gcc,;t t
475 s,@CFLAGS@,-g -O2,;t t
476 s,@LDFLAGS@,,;t t
477 s,@CPPFLAGS@,,;t t
478 s,@ac_ct_CC@,gcc,;t t
479 s,@EXEEXT@,,;t t
480 s,@OBJEXT@,o,;t t
481 s,@CXX@,g++,;t t
482 s,@CXXFLAGS@,-g -O2,;t t
483 s,@ac_ct_CXX@,g++,;t t
484 s,@CPP@,gcc -E,;t t
485 s,@INSTALL_PROGRAM@,${INSTALL},;t t
486 s,@INSTALL_SCRIPT@,${INSTALL},;t t
487 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
488 s,@DEPEND@,gccmakedep,;t t
489 s,@FOUND_AALIB@,no,;t t
490 s,@FOUND_ALSA@,no,;t t
491 s,@FOUND_DV@,no,;t t
492 s,@FOUND_LQT@,no,;t t
493 s,@FOUND_MOTIF@,no,;t t
494 s,@FOUND_OS@,linux,;t t
495 s,@FOUND_X11@,yes,;t t
496 s,@FOUND_GL@,yes,;t t
497 s,@FOUND_ZVBI@,no,;t t
498 s,@EGREP@,grep -E,;t t
499 s,@DLFLAGS@,-ldl -Wl,-E,;t t
500 s,@LIBPTHREAD@,-lpthread,;t t
501 s,@LIBOSS@,,;t t
502 s,@LIBCURSES@,-lncurses,;t t
503 s,@X_CFLAGS@, -I/usr/X11R6/include,;t t
504 s,@X_PRE_LIBS@, -lSM -lICE,;t t
505 s,@X_LIBS@, -L/usr/X11R6/lib,;t t
506 s,@X_EXTRA_LIBS@,,;t t
507 s,@x_includes@,/usr/X11R6/include,;t t
508 s,@x_libraries@,/usr/X11R6/lib,;t t
509 s,@ATHENA@,-lXaw -lXmu -lXt -lSM -lICE -lXpm -lXext -lX11 ,;t t
510 s,@FSLIB@,-lFS,;t t
511 s,@SUBS@,,;t t
512 s,@TOOLS@,,;t t
513 s,@LDLIBS@,,;t t
514 s,@XFT_FLAGS@,-I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config ,;t t
515 s,@XFT_LIBS@,-L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig ,;t t
516 s,@LIBALSA@,,;t t
517 s,@LIRC@,,;t t
518 s,@LIBZVBI@,,;t t
519 s,@AALIBS@,,;t t
520 s,@LIBDV@,,;t t
521 s,@QTLIBS@,,;t t
522 s,@LIBGL@,-lGL -lm,;t t
523 s,@VERSION@,3.94,;t t
524 s,@x11conf@,/etc/X11,;t t
525 s,@resdir@,/usr/X11R6/lib/X11,;t t
526 s,@USE_MMX@,yes,;t t
527 s,@LIBOBJS@,,;t t
528 s,@LTLIBOBJS@,,;t t
529 CEOF
530
531 # Split the substitutions into bite-sized pieces for seds with
532 # small command number limits, like on Digital OSF/1 and HP-UX.
533 ac_max_sed_lines=48
534 ac_sed_frag=1 # Number of current file.
535 ac_beg=1 # First line for current file.
536 ac_end=$ac_max_sed_lines # Line after last line for current file.
537 ac_more_lines=:
538 ac_sed_cmds=
539 while $ac_more_lines; do
540 if test $ac_beg -gt 1; then
541 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
542 else
543 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
544 fi
545 if test ! -s $tmp/subs.frag; then
546 ac_more_lines=false
547 else
548 # The purpose of the label and of the branching condition is to
549 # speed up the sed processing (if there are no `@' at all, there
550 # is no need to browse any of the substitutions).
551 # These are the two extra sed commands mentioned above.
552 (echo ':t
553 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
554 if test -z "$ac_sed_cmds"; then
555 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
556 else
557 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
558 fi
559 ac_sed_frag=`expr $ac_sed_frag + 1`
560 ac_beg=$ac_end
561 ac_end=`expr $ac_end + $ac_max_sed_lines`
562 fi
563 done
564 if test -z "$ac_sed_cmds"; then
565 ac_sed_cmds=cat
566 fi
567 fi # test -n "$CONFIG_FILES"
568
569 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
570 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
571 case $ac_file in
572 - | *:- | *:-:* ) # input from stdin
573 cat >$tmp/stdin
574 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
575 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
576 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
577 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
578 * ) ac_file_in=$ac_file.in ;;
579 esac
580
581 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
582 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
583 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
584 X"$ac_file" : 'X\(//\)[^/]' \| \
585 X"$ac_file" : 'X\(//\)$' \| \
586 X"$ac_file" : 'X\(/\)' \| \
587 . : '\(.\)' 2>/dev/null ||
588 echo X"$ac_file" |
589 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
590 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
591 /^X\(\/\/\)$/{ s//\1/; q; }
592 /^X\(\/\).*/{ s//\1/; q; }
593 s/.*/./; q'`
594 { if $as_mkdir_p; then
595 mkdir -p "$ac_dir"
596 else
597 as_dir="$ac_dir"
598 as_dirs=
599 while test ! -d "$as_dir"; do
600 as_dirs="$as_dir $as_dirs"
601 as_dir=`(dirname "$as_dir") 2>/dev/null ||
602 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
603 X"$as_dir" : 'X\(//\)[^/]' \| \
604 X"$as_dir" : 'X\(//\)$' \| \
605 X"$as_dir" : 'X\(/\)' \| \
606 . : '\(.\)' 2>/dev/null ||
607 echo X"$as_dir" |
608 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
609 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
610 /^X\(\/\/\)$/{ s//\1/; q; }
611 /^X\(\/\).*/{ s//\1/; q; }
612 s/.*/./; q'`
613 done
614 test ! -n "$as_dirs" || mkdir $as_dirs
615 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
616 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
617 { (exit 1); exit 1; }; }; }
618
619 ac_builddir=.
620
621 if test "$ac_dir" != .; then
622 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
623 # A "../" for each directory in $ac_dir_suffix.
624 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
625 else
626 ac_dir_suffix= ac_top_builddir=
627 fi
628
629 case $srcdir in
630 .) # No --srcdir option. We are building in place.
631 ac_srcdir=.
632 if test -z "$ac_top_builddir"; then
633 ac_top_srcdir=.
634 else
635 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
636 fi ;;
637 [\\/]* | ?:[\\/]* ) # Absolute path.
638 ac_srcdir=$srcdir$ac_dir_suffix;
639 ac_top_srcdir=$srcdir ;;
640 *) # Relative path.
641 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
642 ac_top_srcdir=$ac_top_builddir$srcdir ;;
643 esac
644
645 # Do not use `cd foo && pwd` to compute absolute paths, because
646 # the directories may not exist.
647 case `pwd` in
648 .) ac_abs_builddir="$ac_dir";;
649 *)
650 case "$ac_dir" in
651 .) ac_abs_builddir=`pwd`;;
652 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
653 *) ac_abs_builddir=`pwd`/"$ac_dir";;
654 esac;;
655 esac
656 case $ac_abs_builddir in
657 .) ac_abs_top_builddir=${ac_top_builddir}.;;
658 *)
659 case ${ac_top_builddir}. in
660 .) ac_abs_top_builddir=$ac_abs_builddir;;
661 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
662 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
663 esac;;
664 esac
665 case $ac_abs_builddir in
666 .) ac_abs_srcdir=$ac_srcdir;;
667 *)
668 case $ac_srcdir in
669 .) ac_abs_srcdir=$ac_abs_builddir;;
670 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
671 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
672 esac;;
673 esac
674 case $ac_abs_builddir in
675 .) ac_abs_top_srcdir=$ac_top_srcdir;;
676 *)
677 case $ac_top_srcdir in
678 .) ac_abs_top_srcdir=$ac_abs_builddir;;
679 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
680 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
681 esac;;
682 esac
683
684
685 case $INSTALL in
686 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
687 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
688 esac
689
690 # Let's still pretend it is `configure' which instantiates (i.e., don't
691 # use $as_me), people would be surprised to read:
692 # /* config.h. Generated by config.status. */
693 if test x"$ac_file" = x-; then
694 configure_input=
695 else
696 configure_input="$ac_file. "
697 fi
698 configure_input=$configure_input"Generated from `echo $ac_file_in |
699 sed 's,.*/,,'` by configure."
700
701 # First look for the input files in the build tree, otherwise in the
702 # src tree.
703 ac_file_inputs=`IFS=:
704 for f in $ac_file_in; do
705 case $f in
706 -) echo $tmp/stdin ;;
707 [\\/$]*)
708 # Absolute (can't be DOS-style, as IFS=:)
709 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
710 echo "$as_me: error: cannot find input file: $f" >&2;}
711 { (exit 1); exit 1; }; }
712 echo "$f";;
713 *) # Relative
714 if test -f "$f"; then
715 # Build tree
716 echo "$f"
717 elif test -f "$srcdir/$f"; then
718 # Source tree
719 echo "$srcdir/$f"
720 else
721 # /dev/null tree
722 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
723 echo "$as_me: error: cannot find input file: $f" >&2;}
724 { (exit 1); exit 1; }; }
725 fi;;
726 esac
727 done` || { (exit 1); exit 1; }
728
729 if test x"$ac_file" != x-; then
730 { echo "$as_me:$LINENO: creating $ac_file" >&5
731 echo "$as_me: creating $ac_file" >&6;}
732 rm -f "$ac_file"
733 fi
734 sed "/^[ ]*VPATH[ ]*=/{
735 s/:*\$(srcdir):*/:/;
736 s/:*\${srcdir}:*/:/;
737 s/:*@srcdir@:*/:/;
738 s/^\([^=]*=[ ]*\):*/\1/;
739 s/:*$//;
740 s/^[^=]*=[ ]*$//;
741 }
742
743 :t
744 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
745 s,@configure_input@,$configure_input,;t t
746 s,@srcdir@,$ac_srcdir,;t t
747 s,@abs_srcdir@,$ac_abs_srcdir,;t t
748 s,@top_srcdir@,$ac_top_srcdir,;t t
749 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
750 s,@builddir@,$ac_builddir,;t t
751 s,@abs_builddir@,$ac_abs_builddir,;t t
752 s,@top_builddir@,$ac_top_builddir,;t t
753 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
754 s,@INSTALL@,$ac_INSTALL,;t t
755 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
756 rm -f $tmp/stdin
757 if test x"$ac_file" != x-; then
758 mv $tmp/out $ac_file
759 else
760 cat $tmp/out
761 rm -f $tmp/out
762 fi
763
764 done
765
766 #
767 # CONFIG_HEADER section.
768 #
769
770 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
771 # NAME is the cpp macro being defined and VALUE is the value it is being given.
772 #
773 # ac_d sets the value in "#define NAME VALUE" lines.
774 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
775 ac_dB='[ ].*$,\1#\2'
776 ac_dC=' '
777 ac_dD=',;t'
778 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
779 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
780 ac_uB='$,\1#\2define\3'
781 ac_uC=' '
782 ac_uD=',;t'
783
784 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
785 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
786 case $ac_file in
787 - | *:- | *:-:* ) # input from stdin
788 cat >$tmp/stdin
789 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
790 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
791 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
792 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
793 * ) ac_file_in=$ac_file.in ;;
794 esac
795
796 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
797 echo "$as_me: creating $ac_file" >&6;}
798
799 # First look for the input files in the build tree, otherwise in the
800 # src tree.
801 ac_file_inputs=`IFS=:
802 for f in $ac_file_in; do
803 case $f in
804 -) echo $tmp/stdin ;;
805 [\\/$]*)
806 # Absolute (can't be DOS-style, as IFS=:)
807 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
808 echo "$as_me: error: cannot find input file: $f" >&2;}
809 { (exit 1); exit 1; }; }
810 # Do quote $f, to prevent DOS paths from being IFS'd.
811 echo "$f";;
812 *) # Relative
813 if test -f "$f"; then
814 # Build tree
815 echo "$f"
816 elif test -f "$srcdir/$f"; then
817 # Source tree
818 echo "$srcdir/$f"
819 else
820 # /dev/null tree
821 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
822 echo "$as_me: error: cannot find input file: $f" >&2;}
823 { (exit 1); exit 1; }; }
824 fi;;
825 esac
826 done` || { (exit 1); exit 1; }
827 # Remove the trailing spaces.
828 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
829
830 # Handle all the #define templates only if necessary.
831 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
832 # If there are no defines, we may have an empty if/fi
833 :
834 cat >$tmp/defines.sed <<CEOF
835 /^[ ]*#[ ]*define/!b
836 t clr
837 : clr
838 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
839 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
840 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
841 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
842 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
843 ${ac_dA}HAVE_SOCKADDR_STORAGE${ac_dB}HAVE_SOCKADDR_STORAGE${ac_dC}1${ac_dD}
844 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
845 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
846 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
847 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
848 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
849 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
850 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
851 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
852 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
853 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
854 ${ac_dA}HAVE_GETOPT_H${ac_dB}HAVE_GETOPT_H${ac_dC}1${ac_dD}
855 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
856 ${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
857 ${ac_dA}HAVE_SYS_SOUNDCARD_H${ac_dB}HAVE_SYS_SOUNDCARD_H${ac_dC}1${ac_dD}
858 ${ac_dA}HAVE_LINUX_JOYSTICK_H${ac_dB}HAVE_LINUX_JOYSTICK_H${ac_dC}1${ac_dD}
859 ${ac_dA}HAVE_FTELLO${ac_dB}HAVE_FTELLO${ac_dC}1${ac_dD}
860 ${ac_dA}HAVE_FSEEKO${ac_dB}HAVE_FSEEKO${ac_dC}1${ac_dD}
861 ${ac_dA}HAVE_GETPT${ac_dB}HAVE_GETPT${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_GETNAMEINFO${ac_dB}HAVE_GETNAMEINFO${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_GETOPT_LONG${ac_dB}HAVE_GETOPT_LONG${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_STRCASESTR${ac_dB}HAVE_STRCASESTR${ac_dC}1${ac_dD}
865 ${ac_dA}HAVE_XFT${ac_dB}HAVE_XFT${ac_dC}1${ac_dD}
866 ${ac_dA}HAVE_LIBXXF86DGA${ac_dB}HAVE_LIBXXF86DGA${ac_dC}1${ac_dD}
867 ${ac_dA}HAVE_LIBXXF86VM${ac_dB}HAVE_LIBXXF86VM${ac_dC}1${ac_dD}
868 ${ac_dA}HAVE_LIBXDPMS${ac_dB}HAVE_LIBXDPMS${ac_dC}1${ac_dD}
869 ${ac_dA}HAVE_LIBXINERAMA${ac_dB}HAVE_LIBXINERAMA${ac_dC}1${ac_dD}
870 ${ac_dA}HAVE_LIBXRENDER${ac_dB}HAVE_LIBXRENDER${ac_dC}1${ac_dD}
871 ${ac_dA}HAVE_LIBXRANDR${ac_dB}HAVE_LIBXRANDR${ac_dC}1${ac_dD}
872 ${ac_dA}HAVE_LIBXV${ac_dB}HAVE_LIBXV${ac_dC}1${ac_dD}
873 ${ac_dA}HAVE_GL${ac_dB}HAVE_GL${ac_dC}1${ac_dD}
874 ${ac_dA}HAVE_XMU${ac_dB}HAVE_XMU${ac_dC}1${ac_dD}
875 CEOF
876 sed -f $tmp/defines.sed $tmp/in >$tmp/out
877 rm -f $tmp/in
878 mv $tmp/out $tmp/in
879
880 fi # grep
881
882 # Handle all the #undef templates
883 cat >$tmp/undefs.sed <<CEOF
884 /^[ ]*#[ ]*undef/!b
885 t clr
886 : clr
887 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
888 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
889 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
890 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
891 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
892 ${ac_uA}HAVE_SOCKADDR_STORAGE${ac_uB}HAVE_SOCKADDR_STORAGE${ac_uC}1${ac_uD}
893 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
894 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
895 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
896 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
897 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
898 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
899 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
900 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
901 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
902 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
903 ${ac_uA}HAVE_GETOPT_H${ac_uB}HAVE_GETOPT_H${ac_uC}1${ac_uD}
904 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
905 ${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
906 ${ac_uA}HAVE_SYS_SOUNDCARD_H${ac_uB}HAVE_SYS_SOUNDCARD_H${ac_uC}1${ac_uD}
907 ${ac_uA}HAVE_LINUX_JOYSTICK_H${ac_uB}HAVE_LINUX_JOYSTICK_H${ac_uC}1${ac_uD}
908 ${ac_uA}HAVE_FTELLO${ac_uB}HAVE_FTELLO${ac_uC}1${ac_uD}
909 ${ac_uA}HAVE_FSEEKO${ac_uB}HAVE_FSEEKO${ac_uC}1${ac_uD}
910 ${ac_uA}HAVE_GETPT${ac_uB}HAVE_GETPT${ac_uC}1${ac_uD}
911 ${ac_uA}HAVE_GETNAMEINFO${ac_uB}HAVE_GETNAMEINFO${ac_uC}1${ac_uD}
912 ${ac_uA}HAVE_GETOPT_LONG${ac_uB}HAVE_GETOPT_LONG${ac_uC}1${ac_uD}
913 ${ac_uA}HAVE_STRCASESTR${ac_uB}HAVE_STRCASESTR${ac_uC}1${ac_uD}
914 ${ac_uA}HAVE_XFT${ac_uB}HAVE_XFT${ac_uC}1${ac_uD}
915 ${ac_uA}HAVE_LIBXXF86DGA${ac_uB}HAVE_LIBXXF86DGA${ac_uC}1${ac_uD}
916 ${ac_uA}HAVE_LIBXXF86VM${ac_uB}HAVE_LIBXXF86VM${ac_uC}1${ac_uD}
917 ${ac_uA}HAVE_LIBXDPMS${ac_uB}HAVE_LIBXDPMS${ac_uC}1${ac_uD}
918 ${ac_uA}HAVE_LIBXINERAMA${ac_uB}HAVE_LIBXINERAMA${ac_uC}1${ac_uD}
919 ${ac_uA}HAVE_LIBXRENDER${ac_uB}HAVE_LIBXRENDER${ac_uC}1${ac_uD}
920 ${ac_uA}HAVE_LIBXRANDR${ac_uB}HAVE_LIBXRANDR${ac_uC}1${ac_uD}
921 ${ac_uA}HAVE_LIBXV${ac_uB}HAVE_LIBXV${ac_uC}1${ac_uD}
922 ${ac_uA}HAVE_GL${ac_uB}HAVE_GL${ac_uC}1${ac_uD}
923 ${ac_uA}HAVE_XMU${ac_uB}HAVE_XMU${ac_uC}1${ac_uD}
924 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
925 CEOF
926 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
927 rm -f $tmp/in
928 mv $tmp/out $tmp/in
929
930 # Let's still pretend it is `configure' which instantiates (i.e., don't
931 # use $as_me), people would be surprised to read:
932 # /* config.h. Generated by config.status. */
933 if test x"$ac_file" = x-; then
934 echo "/* Generated by configure. */" >$tmp/config.h
935 else
936 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
937 fi
938 cat $tmp/in >>$tmp/config.h
939 rm -f $tmp/in
940 if test x"$ac_file" != x-; then
941 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
942 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
943 echo "$as_me: $ac_file is unchanged" >&6;}
944 else
945 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
946 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
947 X"$ac_file" : 'X\(//\)[^/]' \| \
948 X"$ac_file" : 'X\(//\)$' \| \
949 X"$ac_file" : 'X\(/\)' \| \
950 . : '\(.\)' 2>/dev/null ||
951 echo X"$ac_file" |
952 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
953 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
954 /^X\(\/\/\)$/{ s//\1/; q; }
955 /^X\(\/\).*/{ s//\1/; q; }
956 s/.*/./; q'`
957 { if $as_mkdir_p; then
958 mkdir -p "$ac_dir"
959 else
960 as_dir="$ac_dir"
961 as_dirs=
962 while test ! -d "$as_dir"; do
963 as_dirs="$as_dir $as_dirs"
964 as_dir=`(dirname "$as_dir") 2>/dev/null ||
965 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
966 X"$as_dir" : 'X\(//\)[^/]' \| \
967 X"$as_dir" : 'X\(//\)$' \| \
968 X"$as_dir" : 'X\(/\)' \| \
969 . : '\(.\)' 2>/dev/null ||
970 echo X"$as_dir" |
971 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
972 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
973 /^X\(\/\/\)$/{ s//\1/; q; }
974 /^X\(\/\).*/{ s//\1/; q; }
975 s/.*/./; q'`
976 done
977 test ! -n "$as_dirs" || mkdir $as_dirs
978 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
979 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
980 { (exit 1); exit 1; }; }; }
981
982 rm -f $ac_file
983 mv $tmp/config.h $ac_file
984 fi
985 else
986 cat $tmp/config.h
987 rm -f $tmp/config.h
988 fi
989 done
990
991 { (exit 0); exit 0; }
|
This page was automatically generated by the
LXR engine.
|